<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content=""/>
    <meta name="keywords" content=""/>
    <title>Narnia</title>
    <link rel="icon" href="images/fav.png" type="image/png" sizes="16x16">

    <link rel="stylesheet" href="/css/main.min.css">
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="/css/color.css">
    <link rel="stylesheet" href="/css/responsive.css">

</head>
<body sec:authorize="hasRole('ROLE_ADMIN') or isAuthenticated() ">
<div class="theme-layout">

    <div class="topbar stick">
        <div class="logo" id="narnialogo">
            <a href="/timeline" title=""><img src="/images/Narnia-Logo2.jpg" alt=""></a>
        </div>
        <div class="top-area">
            <ul class="main-menu">
                <li>
                    <a href="#" title="">timeline</a>
                    <ul>
                        <li><a href="/timeline" title="">timeline</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">World Hottest</a>
                    <ul>
                        <li><a href="/hot" title="">world hottest</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">profile page</a>
                    <ul>
                        <li><a th:href="@{/profile}" title="">go to profile page</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">account settings</a>
                    <ul>
                        <li><a th:href="@{/profile/{id}/edit-password(id=${userInfo.id})}" title="">edit-password</a>
                        </li>
                        <li><a th:href="@{/profile/{id}/edit-profile(id=${userInfo.id})}" title="">edit profile
                            basics</a></li>
                    </ul>
                </li>
                <li>
                    <a href="#" title="">more pages</a>
                    <ul>
                        <li><a th:href="@{/about}" title="">about us</a></li>
                        <li><a sec:authorize="hasRole('ROLE_ADMIN')" href="/admin" title="">admin page</a></li>
                    </ul>
                </li>

            </ul>
            <ul class="setting-area" id="settingstopbar">
                <li>
                    <a title="Search" data-ripple=""><i class="ti-search" id="searchicon"></i></a>
                    <div class="searched">
                        <form method="post" class="form-search">
                            <input type="text" class="search-input" id="search-input" placeholder="Search User">
                            <button data-ripple><i class="ti-search"></i></button>
                            <div class="results-list" id="results-list">

                            </div>
                        </form>
                    </div>
                </li>
                <li>
                    <a title="Notification" id="notiicon" data-ripple="">
                        <i class="ti-bell"></i><span th:text="${userInfo.getReceivedRequests().size()}"></span>
                    </a>
                    <div class="dropdowns">
                        <ul class='mesg-meta' id="requests">
                        </ul>
                    </div>
                </li>
            </ul>
        </div>
    </div><!-- topbar -->

    <section>
        <div class="feature-photo">
            <div class="container-fluid" id="editprofi">
                <div class="row merged">
                    <div class="col-lg-2 col-sm-3">
                        <div class="user-avatar" id="editbasic">
                            <figure>
                                <ul class="profpic">
                                    <img class="image profpic"
                                         th:src="@{'data:image/png;base64,'+${userInfo.generateProfilePhoto()}}"
                                         alt="" src="">
                                </ul>
                                <form class="edit-phto" id="popupeditprof" th:action="@{/profile/photo}" method="post"
                                      enctype="multipart/form-data">
                                    <i class="fa fa-camera-retro"></i>
                                    <label class="fileContainer">
                                        Edit Display Photo
                                        <input type="file" name="file">
                                    </label>
                                    <input type="submit" id="editprpic">
                                </form>
                            </figure>
                        </div>
                    </div>
                    <div class="col-lg-10 col-sm-9">
                        <div class="timeline-info">
                            <ul id="edit-pass-info">
                                <div class="prof-info">
                                    <i class="ti-info-alt"></i>
                                    <h5 class="f-title"
                                        th:text="Name+': ' +${userInfo.getFirstName()} + ' ' + ${userInfo.getLastName()}"></h5>
                                </div>
                                <div class="prof-info">
                                    <i class="ti-info-alt"></i>
                                    <td th:if="${userInfo.getAddress()==null}">
                                        <h5 class="f-title" th:text="Address+': ' + 'Not provided'"></h5>
                                    </td>
                                    <td th:unless="${userInfo.getAddress()==null}">
                                        <h5 class="f-title" th:text="Address+': ' +${userInfo.getAddress()}"></h5>
                                    </td>
                                </div>
                                <div class="prof-info">
                                    <i class="ti-info-alt"></i>
                                    <td th:if="${userInfo.getAge()==0}">
                                        <h5 class="f-title" th:text="Age+': ' + 'Not provided'"></h5>
                                    </td>
                                    <td th:unless="${userInfo.getAge()==0}">
                                        <h5 class="f-title" th:text="Age+': ' +${userInfo.getAge()}"><i
                                                class="ti-info-alt"></i>
                                        </h5>
                                    </td>
                                </div>
                                <div class="prof-info">
                                    <i class="ti-info-alt"></i>
                                    <td th:if="${userInfo.getEducation()==null}">
                                    <h5 class="f-title" th:text="Education+': ' +'Not provided'"><i
                                            class="ti-info-alt"></i></h5>
                                    </td>
                                    <td th:unless="${userInfo.getEducation()==null}">
                                        <h5 class="f-title" th:text="Education+': ' +${userInfo.getEducation()}"><i
                                                class="ti-info-alt"></i></h5>
                                    <td>
                                </div>
                                <div class="prof-info">
                                    <i class="ti-info-alt"></i>
                                    <h5 class="f-title" th:text="Privacy+': ' +${userInfo.getPrivacy()}"><i
                                            class="ti-info-alt"></i></h5>
                                </div>

                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

</section><!-- top area -->
<section>
    <div class="gap gray-bg" id="editprof">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                                <div class="widget stick-widget">
                                    <h4 class="widget-title">Edit info</h4>
                                    <ul class="naves">
                                        <li>
                                            <i class="ti-info-alt"></i>
                                            <a th:href="@{/profile/__${id}__/edit-profile}" title="">Basic info</a>
                                        </li>
                                        <li>
                                            <i class="ti-lock"></i>
                                            <a th:href="@{/profile/__${id}__/edit-password}" title="">change
                                                password</a>
                                        </li>
                                        <li>
                                            <i class="ti-power-off"></i>
                                            <a href="/" title="">Logout</a>
                                        </li>
                                    </ul>
                                </div><!-- settings widget -->
                            </aside>
                        </div><!-- sidebar -->
                        <div class="col-lg-6">
                            <div class="central-meta">
                                <div class="editing-info">
                                    <h5 class="f-title"><i class="ti-info-alt"></i> Edit Basic Information</h5>
                                    <form method="post">
                                        <div class="form-group half">
                                            <input type="text" id="firstName" name="firstName" required="required"/>
                                            <label class="control-label" for="firstName">First Name</label><i
                                                class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <input type="text" id="lastName" name="lastName" required="required"/>
                                            <label class="control-label" for="lastName">Last Name</label><i
                                                class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <input type="text" id="age" name="age" required="required"/>
                                            <label class="control-label" for="age">Age</label><i
                                                class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <input type="text" id="education" name="education" required="required"/>
                                            <label class="control-label" for="education">Education</label><i
                                                class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <input type="text" id="address" name="address" required="required"/>
                                            <label class="control-label" for="address">Address</label><i
                                                class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group half">
                                            <select id="privacy" name="privacy" required="required">
                                                <option value="PUBLIC">PUBLIC</option>
                                                <option value="PRIVATE">PRIVATE</option>
                                            </select>
                                        </div>
                                        <div class="submit-btns">
                                            <button type="submit" class="mtr-btn" id="cancel" name="cancel"
                                                    onclick="confirm('Cancel operation ?')"><span>Cancel</span>
                                            </button>
                                            <button type="submit" class="mtr-btn" id="update" name="update"
                                                    onclick="confirm('Update information ?')"><span>Update</span>
                                            </button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div><!-- centerl meta -->
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div><!-- sidebar -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</div><!-- side panel -->

<script src="/js/main.min.js"></script>
<script src="/js/script.js"></script>
<script src="/js/map-init.js"></script>

</body>

</html>